Index: branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Controllers/AlgorithmClassController.cs
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Controllers/AlgorithmClassController.cs	(revision 6316)
+++ branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Controllers/AlgorithmClassController.cs	(revision 6317)
@@ -7,98 +7,96 @@
 using HLWebOKBAdminPlugin.OKBAdministrationService;
 
-namespace HLWebOKBAdminPlugin.Controllers
-{
-    public class AlgorithmClassController : Controller
-    {
-        //
-        // GET: /AlgorithmClass/
+namespace HLWebOKBAdminPlugin.Controllers {
+  public class AlgorithmClassController : Controller {
+    //
+    // GET: /AlgorithmClass/
 
-        public ActionResult Index() {
+    public ActionResult Index() {
 
-            Session["SelectedSubMenu"] = "AlgorithmClass";
-            AlgorithmClassModel acm = new AlgorithmClassModel();
-            return View(acm);
-        }//Index
+      Session["SelectedSubMenu"] = "AlgorithmClass";
+      AlgorithmClassModel acm = new AlgorithmClassModel();
+      return View(acm);
+    }//Index
 
-        public ActionResult Detail(long? id) {
-            Session["SelectedSubMenu"] = "AlgorithmClass";
-            AlgorithmClassModel acm = new AlgorithmClassModel();
+    public ActionResult Detail(long? id) {
+      Session["SelectedSubMenu"] = "AlgorithmClass";
+      AlgorithmClassModel acm = new AlgorithmClassModel();
 
-            if (id == null)
-                acm.AlgorithmClass = new AlgorithmClass();
-            else
-                acm.AlgorithmClass = (AlgorithmClass)acm.AlgorithmClasses.Where(x => x.Id.Equals((long)id)).FirstOrDefault();
-            return View(acm);
-        }//Detail
+      if (id == null)
+        acm.AlgorithmClass = new AlgorithmClass();
+      else
+        acm.AlgorithmClass = (AlgorithmClass)acm.AlgorithmClasses.Where(x => x.Id.Equals((long)id)).FirstOrDefault();
+      return View(acm);
+    }//Detail
 
-        /// <summary>
-        /// Controller for Index View
-        /// </summary>
-        /// <returns></returns>
-        public ActionResult Delete(long? id) {
-            Session["SelectedSubMenu"] = "AlgorithmClass";
+    /// <summary>
+    /// Controller for Index View
+    /// </summary>
+    /// <returns></returns>
+    public ActionResult Delete(long? id) {
+      Session["SelectedSubMenu"] = "AlgorithmClass";
 
-            AlgorithmClassModel acm = new AlgorithmClassModel();
-            if (id != 0) {
-                acm.DeleteAlgorithmClass((long)id);
-            }
-            return View("Index", acm);
-        }//Delete
+      AlgorithmClassModel acm = new AlgorithmClassModel();
+      if (id != 0) {
+        acm.DeleteAlgorithmClass((long)id);
+      }
+      return View("Index", acm);
+    }//Delete
 
-        /// <summary>
-        /// Controller for Detail View
-        /// </summary>
-        /// <returns></returns>
-        public ActionResult SaveChanges(FormCollection collection) {
-            long algorithmClassId = long.Parse(collection.Get("AlgorithmClassId"));
-            String algorithmClassName = collection.Get("AlgorithmClassName");
-            String algorithmClassDescription = collection.Get("AlgorithmClassDescription");
+    /// <summary>
+    /// Controller for Detail View
+    /// </summary>
+    /// <returns></returns>
+    public ActionResult SaveChanges(FormCollection collection) {
+      long algorithmClassId = long.Parse(collection.Get("AlgorithmClassId"));
+      String algorithmClassName = collection.Get("AlgorithmClassName");
+      String algorithmClassDescription = collection.Get("AlgorithmClassDescription");
 
-            // Later, we will get the runs from the session ...
-            AlgorithmClassModel acm = new AlgorithmClassModel();
-            if (algorithmClassId != 0)
-                acm.AlgorithmClass = (AlgorithmClass)acm.AlgorithmClasses.Where(x => x.Id.Equals(algorithmClassId)).FirstOrDefault();
+      // Later, we will get the runs from the session ...
+      AlgorithmClassModel acm = new AlgorithmClassModel();
+      if (algorithmClassId != 0)
+        acm.AlgorithmClass = (AlgorithmClass)acm.AlgorithmClasses.Where(x => x.Id.Equals(algorithmClassId)).FirstOrDefault();
 
-            acm.AlgorithmClass.Name = algorithmClassName;
-            acm.AlgorithmClass.Description = algorithmClassDescription;
+      acm.AlgorithmClass.Name = algorithmClassName;
+      acm.AlgorithmClass.Description = algorithmClassDescription;
 
-            acm.SaveAlgorithmClass(acm.AlgorithmClass);
+      acm.SaveAlgorithmClass(acm.AlgorithmClass);
 
-            return View("Index", acm);
-        }//SaveChanges
+      return View("Index", acm);
+    }//SaveChanges
 
-        /// <summary>
-        /// Controller for Index View
-        /// </summary>
-        /// <returns></returns>
-        public ActionResult SortAsc() {
-            Session["SelectedSubMenu"] = "AlgorithmClass";
-            AlgorithmClassModel acm = new AlgorithmClassModel();
-            acm.AlgorithmClasses = acm.AlgorithmClasses.OrderBy(x => x.Name).ToList<AlgorithmClass>();
-            return View("Index", acm);
-        }
+    /// <summary>
+    /// Controller for Index View
+    /// </summary>
+    /// <returns></returns>
+    public ActionResult SortAsc() {
+      Session["SelectedSubMenu"] = "AlgorithmClass";
+      AlgorithmClassModel acm = new AlgorithmClassModel();
+      acm.AlgorithmClasses = acm.AlgorithmClasses.OrderBy(x => x.Name).ToList<AlgorithmClass>();
+      return View("Index", acm);
+    }
 
-        /// <summary>
-        /// Controller for Index View
-        /// </summary>
-        /// <returns></returns>
-        public ActionResult SortDesc() {
-            Session["SelectedSubMenu"] = "AlgorithmClass";
-            AlgorithmClassModel acm = new AlgorithmClassModel();
+    /// <summary>
+    /// Controller for Index View
+    /// </summary>
+    /// <returns></returns>
+    public ActionResult SortDesc() {
+      Session["SelectedSubMenu"] = "AlgorithmClass";
+      AlgorithmClassModel acm = new AlgorithmClassModel();
 
-            IOrderedEnumerable<AlgorithmClass> acmOrderedList = acm.AlgorithmClasses.OrderByDescending(x => x.Name);
-            IList<AlgorithmClass> acmList = new List<AlgorithmClass>();
-            foreach (var item in acmOrderedList) {
-                acmList.Add(item);
-            }
-            acm.AlgorithmClasses = acmList;
+      IOrderedEnumerable<AlgorithmClass> acmOrderedList = acm.AlgorithmClasses.OrderByDescending(x => x.Name);
+      IList<AlgorithmClass> acmList = new List<AlgorithmClass>();
+      foreach (var item in acmOrderedList) {
+        acmList.Add(item);
+      }
+      acm.AlgorithmClasses = acmList;
 
-            // this should be the right code
-            //pm.Problems = pm.Problems.OrderByDescending(x => x.Name).ToArray<Problem>();
-            return View("Index", acm);
-        }
+      // this should be the right code
+      //pm.Problems = pm.Problems.OrderByDescending(x => x.Name).ToArray<Problem>();
+      return View("Index", acm);
+    }
 
-    }
+  }
 }
 
-    
+
Index: branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Controllers/AlgorithmController.cs
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Controllers/AlgorithmController.cs	(revision 6316)
+++ branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Controllers/AlgorithmController.cs	(revision 6317)
@@ -8,138 +8,134 @@
 using System.IO;
 
-namespace HLWebOKBAdminPlugin.Controllers
-{
+namespace HLWebOKBAdminPlugin.Controllers {
+  /// <summary>
+  /// Controller for Algorithm Submenu
+  /// </summary>
+  public class AlgorithmController : Controller {
     /// <summary>
-    /// Controller for Algorithm Submenu
+    /// Controller for Index View
     /// </summary>
-	public class AlgorithmController : Controller
-	{
-		/// <summary>
-		/// Controller for Index View
-		/// </summary>
-		/// <returns></returns>
-		public ActionResult Index()
-        {
-            Session["SelectedSubMenu"] = "Algorithm";
-            AlgorithmModel pm = new AlgorithmModel();
-			return View(pm);
-		}
+    /// <returns></returns>
+    public ActionResult Index() {
+      Session["SelectedSubMenu"] = "Algorithm";
+      AlgorithmModel pm = new AlgorithmModel();
+      return View(pm);
+    }
 
-        /// <summary>
-        /// Controller for Index View
-        /// </summary>
-        /// <returns></returns>
-        public ActionResult SortAsc() {
-            Session["SelectedSubMenu"] = "Algorithm";
-            AlgorithmModel pm = new AlgorithmModel();
-            pm.Algorithms = pm.Algorithms.OrderBy(x => x.Name).ToList<Algorithm>();
-            return View("Index",pm);
+    /// <summary>
+    /// Controller for Index View
+    /// </summary>
+    /// <returns></returns>
+    public ActionResult SortAsc() {
+      Session["SelectedSubMenu"] = "Algorithm";
+      AlgorithmModel pm = new AlgorithmModel();
+      pm.Algorithms = pm.Algorithms.OrderBy(x => x.Name).ToList<Algorithm>();
+      return View("Index", pm);
+    }
+
+    /// <summary>
+    /// Controller for Index View
+    /// </summary>
+    /// <returns></returns>
+    public ActionResult SortDesc() {
+      Session["SelectedSubMenu"] = "Algorithm";
+      AlgorithmModel pm = new AlgorithmModel();
+      pm.Algorithms = pm.Algorithms.OrderByDescending(x => x.Name).ToArray<Algorithm>();
+      return View("Index", pm);
+    }
+    /// <summary>
+    /// Controller for Detail View
+    /// </summary>
+    /// <param name="p"></param>
+    /// <returns></returns>
+    public ActionResult Detail(long? id) {
+      Session["SelectedSubMenu"] = "Algorithm";
+      // We use here the AlgorithmMode, but I think
+      // we can also use the Algorithm class. (?)
+      AlgorithmModel pm = new AlgorithmModel();
+      if (id == null)
+        pm.Algorithm = new Algorithm();
+      else
+        pm.Algorithm = (Algorithm)pm.Algorithms.Where(x => x.Id.Equals((long)id)).FirstOrDefault();
+      return View(pm);
+    }
+
+    /// <summary>
+    /// Controller for Index View
+    /// </summary>
+    /// <returns></returns>
+    public ActionResult Delete(long id) {
+      Session["SelectedSubMenu"] = "Algorithm";
+      // We use here the AlgorithmMode, but I think
+      // we can also use the Algorithm class. (?)
+      AlgorithmModel pm = new AlgorithmModel();
+      if (id != 0) {
+        pm.DeleteAlgorithm(id);
+      }
+      return View("Index", pm);
+    }
+
+    public ActionResult UploadFile(FormCollection collection) {
+      Session["SelectedSubMenu"] = "Algorithm";
+
+      long algorithmId = long.Parse(collection.Get("AlgorithmId"));
+
+      AlgorithmModel pm = new AlgorithmModel();
+
+      foreach (string inputTagName in Request.Files) {
+        HttpPostedFileBase file = Request.Files[inputTagName];
+        if (file.ContentLength > 0) {
+          // maybe for storage on server
+          //string filePath = Path.Combine(HttpContext.Server.MapPath("../Uploads"), Path.GetFileName(file.FileName));
+          if (file.InputStream.CanRead) {
+            //file length
+            int fileLength = file.ContentLength;
+
+            //bytearray
+            byte[] data = new byte[fileLength];
+
+            //initialize input stream
+            Stream dataStream = file.InputStream;
+
+            //read file into byte array
+            dataStream.Read(data, 0, fileLength);
+
+            //save data
+            pm.UpdateAlgorithmData(algorithmId, data);
+          }//if
         }
+      }//foreach
 
-        /// <summary>
-        /// Controller for Index View
-        /// </summary>
-        /// <returns></returns>
-        public ActionResult SortDesc() {
-            Session["SelectedSubMenu"] = "Algorithm";
-            AlgorithmModel pm = new AlgorithmModel();
-            pm.Algorithms = pm.Algorithms.OrderByDescending(x => x.Name).ToArray<Algorithm>();
-            return View("Index",pm);
-        }
-        /// <summary>
-        /// Controller for Detail View
-        /// </summary>
-        /// <param name="p"></param>
-        /// <returns></returns>
-		public ActionResult Detail(long? id)
-        {
-            Session["SelectedSubMenu"] = "Algorithm";
-            // We use here the AlgorithmMode, but I think
-            // we can also use the Algorithm class. (?)
-            AlgorithmModel pm = new AlgorithmModel();
-            if(id == null)
-                pm.Algorithm = new Algorithm();
-            else
-                pm.Algorithm = (Algorithm)pm.Algorithms.Where(x => x.Id.Equals((long)id)).FirstOrDefault();
-			return View(pm);
-		}
+      return View("Index", pm);
+    }//UploadFile
 
-        /// <summary>
-        /// Controller for Index View
-        /// </summary>
-        /// <returns></returns>
-        public ActionResult Delete(long id) {
-            Session["SelectedSubMenu"] = "Algorithm";
-            // We use here the AlgorithmMode, but I think
-            // we can also use the Algorithm class. (?)
-            AlgorithmModel pm = new AlgorithmModel();
-            if(id != 0) {
-                pm.DeleteAlgorithm(id);
-            }
-            return View("Index", pm);
-        }
+    /// <summary>
+    /// Controller for Detail View
+    /// </summary>
+    /// <returns></returns>
+    public ActionResult SaveChanges(FormCollection collection) {
+      long algorithmId = long.Parse(collection.Get("AlgorithmId"));
+      String algorithmName = collection.Get("AlgorithmName");
+      String algorithmDescription = collection.Get("AlgorithmDescription");
+      String algorithmDataTypeName = collection.Get("AlgorithmDataTypeName");
+      long algorithmClassId = long.Parse(collection.Get("AlgorithmClassId"));
+      long platformId = long.Parse(collection.Get("PlatformId"));
 
-        public ActionResult UploadFile(FormCollection collection) {
-            Session["SelectedSubMenu"] = "Algorithm";
+      // Later, we will get the runs from the session ...
+      AlgorithmModel pm = new AlgorithmModel();
+      if (algorithmId != 0)
+        pm.Algorithm = (Algorithm)pm.Algorithms.Where(x => x.Id.Equals(algorithmId)).FirstOrDefault();
 
-            long algorithmId = long.Parse(collection.Get("AlgorithmId"));
+      pm.Algorithm.Name = algorithmName;
+      pm.Algorithm.Description = algorithmDescription;
+      pm.Algorithm.DataTypeName = algorithmDataTypeName;
+      pm.Algorithm.DataTypeTypeName = "";
+      pm.Algorithm.AlgorithmClassId = algorithmClassId;
+      pm.Algorithm.PlatformId = platformId;
 
-            AlgorithmModel pm = new AlgorithmModel();
+      pm.SaveAlgorithm(pm.Algorithm);
 
-            foreach (string inputTagName in Request.Files) {
-                HttpPostedFileBase file = Request.Files[inputTagName];
-                if (file.ContentLength > 0) {
-                    // maybe for storage on server
-                    //string filePath = Path.Combine(HttpContext.Server.MapPath("../Uploads"), Path.GetFileName(file.FileName));
-                    if (file.InputStream.CanRead) {
-                        //file length
-                        int fileLength = file.ContentLength;
-
-                        //bytearray
-                        byte[] data = new byte[fileLength];
-
-                        //initialize input stream
-                        Stream dataStream = file.InputStream;
-
-                        //read file into byte array
-                        dataStream.Read(data, 0, fileLength);
-
-                        //save data
-                        pm.UpdateAlgorithmData(algorithmId, data);
-                    }//if
-                }
-            }//foreach
-
-            return View("Index", pm);
-        }//UploadFile
-
-        /// <summary>
-        /// Controller for Detail View
-        /// </summary>
-        /// <returns></returns>
-        public ActionResult SaveChanges(FormCollection collection) {            
-            long algorithmId = long.Parse(collection.Get("AlgorithmId"));
-            String algorithmName = collection.Get("AlgorithmName");
-            String algorithmDescription = collection.Get("AlgorithmDescription");
-            String algorithmDataTypeName = collection.Get("AlgorithmDataTypeName");
-            long algorithmClassId = long.Parse(collection.Get("AlgorithmClassId"));
-            long platformId = long.Parse(collection.Get("PlatformId"));
-
-            // Later, we will get the runs from the session ...
-            AlgorithmModel pm = new AlgorithmModel();
-            if(algorithmId != 0)
-                pm.Algorithm = (Algorithm)pm.Algorithms.Where(x => x.Id.Equals(algorithmId)).FirstOrDefault();
-
-            pm.Algorithm.Name = algorithmName;
-            pm.Algorithm.Description = algorithmDescription;
-            pm.Algorithm.DataTypeName = algorithmDataTypeName;
-            pm.Algorithm.DataTypeTypeName = "";
-            pm.Algorithm.AlgorithmClassId = algorithmClassId;
-            pm.Algorithm.PlatformId = platformId;
-
-            pm.SaveAlgorithm(pm.Algorithm);
-
-            return View("Index",pm);
-        }
-	}
+      return View("Index", pm);
+    }
+  }
 }
Index: branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Controllers/HomeController.cs
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Controllers/HomeController.cs	(revision 6316)
+++ branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Controllers/HomeController.cs	(revision 6317)
@@ -5,22 +5,19 @@
 using System.Web.Mvc;
 
-namespace HLWebOKBAdminPlugin.Controllers
-{
-    [HandleError]
-    public class HomeController : Controller
-    {
-        //
-        // GET: /Home/
+namespace HLWebOKBAdminPlugin.Controllers {
+  [HandleError]
+  public class HomeController : Controller {
+    //
+    // GET: /Home/
 
-        public ActionResult Index()
-        {
-            ViewData["Message"] = "Welcome to ASP.NET MVC!";
-            return View();
-        }
+    public ActionResult Index() {
+      ViewData["Message"] = "Welcome to ASP.NET MVC!";
+      return View();
+    }
 
-        public ActionResult About() {
-            return View();
-        }
+    public ActionResult About() {
+      return View();
+    }
 
-    }
+  }
 }
Index: branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Controllers/PlatformController.cs
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Controllers/PlatformController.cs	(revision 6316)
+++ branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Controllers/PlatformController.cs	(revision 6317)
@@ -7,84 +7,81 @@
 using HLWebOKBAdminPlugin.OKBAdministrationService;
 
-namespace HLWebOKBAdminPlugin.Controllers
-{
-    public class PlatformController : Controller
-    {
-        //
-        // GET: /Platform/
+namespace HLWebOKBAdminPlugin.Controllers {
+  public class PlatformController : Controller {
+    //
+    // GET: /Platform/
 
-        public ActionResult Index() 
-        {
-            Session["SelectedSubMenu"] = "Platform";
-            PlatformModel plm = new PlatformModel();
-            return View(plm);
-        }//Index
+    public ActionResult Index() {
+      Session["SelectedSubMenu"] = "Platform";
+      PlatformModel plm = new PlatformModel();
+      return View(plm);
+    }//Index
 
 
-        public ActionResult Detail(long? id) {
-            Session["SelectedSubMenu"] = "Platform";
-            PlatformModel plm = new PlatformModel();
+    public ActionResult Detail(long? id) {
+      Session["SelectedSubMenu"] = "Platform";
+      PlatformModel plm = new PlatformModel();
 
-            if (id == null)
-                plm.Platform = new Platform();
-            else
-                plm.Platform = (Platform)plm.Platforms.Where(x => x.Id.Equals((long)id)).FirstOrDefault();
-            return View(plm);
-        }//Detail
+      if (id == null)
+        plm.Platform = new Platform();
+      else
+        plm.Platform = (Platform)plm.Platforms.Where(x => x.Id.Equals((long)id)).FirstOrDefault();
+      return View(plm);
+    }//Detail
 
-        public ActionResult Delete(long? id) {
-            Session["SelectedSubMenu"] = "Platform";
+    public ActionResult Delete(long? id) {
+      Session["SelectedSubMenu"] = "Platform";
 
-            PlatformModel plm = new PlatformModel();
-            if (id != 0) {
-                plm.DeletePlatform((long)id);
-            }
-            return View("Index", plm);
-        }//Delete
+      PlatformModel plm = new PlatformModel();
+      if (id != 0) {
+        plm.DeletePlatform((long)id);
+      }
+      return View("Index", plm);
+    }//Delete
 
-        public ActionResult SaveChanges(FormCollection collection) {
-            long platformId = long.Parse(collection.Get("PlatformId"));
-            String platformName = collection.Get("PlatformName");
-            String platformDescription = collection.Get("PlatformDescription");
+    public ActionResult SaveChanges(FormCollection collection) {
+      long platformId = long.Parse(collection.Get("PlatformId"));
+      String platformName = collection.Get("PlatformName");
+      String platformDescription = collection.Get("PlatformDescription");
 
-            // Later, we will get the runs from the session ...
-            PlatformModel plm = new PlatformModel();
-            if (platformId != 0)
-                plm.Platform = (Platform)plm.Platforms.Where(x => x.Id.Equals(platformId)).FirstOrDefault();
+      // Later, we will get the runs from the session ...
+      PlatformModel plm = new PlatformModel();
+      if (platformId != 0)
+        plm.Platform = (Platform)plm.Platforms.Where(x => x.Id.Equals(platformId)).FirstOrDefault();
 
-            plm.Platform.Name = platformName;
-            plm.Platform.Description = platformDescription;
+      plm.Platform.Name = platformName;
+      plm.Platform.Description = platformDescription;
 
-            plm.SavePlatform(plm.Platform);
+      plm.SavePlatform(plm.Platform);
 
-            return View("Index", plm);
-        }//SaveChanges
+      return View("Index", plm);
+    }//SaveChanges
 
-        public ActionResult SortAsc() {
-            Session["SelectedSubMenu"] = "Platform";
-            PlatformModel plm = new PlatformModel();
-            plm.Platforms = plm.Platforms.OrderBy(x => x.Name).ToList<Platform>();
-            return View("Index", plm);
-        }
+    public ActionResult SortAsc() {
+      Session["SelectedSubMenu"] = "Platform";
+      PlatformModel plm = new PlatformModel();
+      plm.Platforms = plm.Platforms.OrderBy(x => x.Name).ToList<Platform>();
+      return View("Index", plm);
+    }
 
-        /// <summary>
-        /// Controller for Index View
-        /// </summary>
-        /// <returns></returns>
-        public ActionResult SortDesc() {
-            Session["SelectedSubMenu"] = "Platform";
-            PlatformModel plm = new PlatformModel();
+    /// <summary>
+    /// Controller for Index View
+    /// </summary>
+    /// <returns></returns>
+    public ActionResult SortDesc() {
+      Session["SelectedSubMenu"] = "Platform";
+      PlatformModel plm = new PlatformModel();
 
-            IOrderedEnumerable<Platform> plmOrderedList = plm.Platforms.OrderByDescending(x => x.Name);
-            IList<Platform> plmList = new List<Platform>();
-            foreach (var item in plmOrderedList) {
-                plmList.Add(item);
-            }
-            plm.Platforms = plmList;
+      IOrderedEnumerable<Platform> plmOrderedList = plm.Platforms.OrderByDescending(x => x.Name);
+      IList<Platform> plmList = new List<Platform>();
+      foreach (var item in plmOrderedList) {
+        plmList.Add(item);
+      }
+      plm.Platforms = plmList;
 
-            // this should be the right code
-            //pm.Problems = pm.Problems.OrderByDescending(x => x.Name).ToArray<Problem>();
-            return View("Index", plm);
-        }
+      // this should be the right code
+      //pm.Problems = pm.Problems.OrderByDescending(x => x.Name).ToArray<Problem>();
+      return View("Index", plm);
     }
+  }
 }
Index: branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Controllers/ProblemClassController.cs
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Controllers/ProblemClassController.cs	(revision 6316)
+++ branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Controllers/ProblemClassController.cs	(revision 6317)
@@ -8,99 +8,96 @@
 
 
-namespace HLWebOKBAdminPlugin.Controllers
-{
-    // <summary>
-    // Controller for ProblemClass Submenu
-    // </summary>
-    public class ProblemClassController : Controller
-    {
-        //
-        // GET: /ProblemClass/
+namespace HLWebOKBAdminPlugin.Controllers {
+  // <summary>
+  // Controller for ProblemClass Submenu
+  // </summary>
+  public class ProblemClassController : Controller {
+    //
+    // GET: /ProblemClass/
 
-        public ActionResult Index()
-        {
-            Session["SelectedSubMenu"] = "ProblemClass";
-            ProblemClassModel pcm = new ProblemClassModel();
-            return View(pcm);
-        }//Index
+    public ActionResult Index() {
+      Session["SelectedSubMenu"] = "ProblemClass";
+      ProblemClassModel pcm = new ProblemClassModel();
+      return View(pcm);
+    }//Index
 
-        public ActionResult Detail(long? id) {
-            Session["SelectedSubMenu"] = "ProblemClass";
-            ProblemClassModel pcm = new ProblemClassModel();
+    public ActionResult Detail(long? id) {
+      Session["SelectedSubMenu"] = "ProblemClass";
+      ProblemClassModel pcm = new ProblemClassModel();
 
-            if (id == null)
-                pcm.ProblemClass = new ProblemClass();
-            else
-                pcm.ProblemClass = (ProblemClass)pcm.ProblemClasses.Where(x => x.Id.Equals((long)id)).FirstOrDefault();
-            return View(pcm);
-        }//Detail
+      if (id == null)
+        pcm.ProblemClass = new ProblemClass();
+      else
+        pcm.ProblemClass = (ProblemClass)pcm.ProblemClasses.Where(x => x.Id.Equals((long)id)).FirstOrDefault();
+      return View(pcm);
+    }//Detail
 
-        /// <summary>
-        /// Controller for Index View
-        /// </summary>
-        /// <returns></returns>
-        public ActionResult Delete(long? id) {
-            Session["SelectedSubMenu"] = "ProblemClass";
+    /// <summary>
+    /// Controller for Index View
+    /// </summary>
+    /// <returns></returns>
+    public ActionResult Delete(long? id) {
+      Session["SelectedSubMenu"] = "ProblemClass";
 
-            ProblemClassModel pcm = new ProblemClassModel();
-            if (id != 0) {
-                pcm.DeleteProblemClass((long)id);
-            }
-            return View("Index", pcm);
-        }//Delete
+      ProblemClassModel pcm = new ProblemClassModel();
+      if (id != 0) {
+        pcm.DeleteProblemClass((long)id);
+      }
+      return View("Index", pcm);
+    }//Delete
 
-        /// <summary>
-        /// Controller for Detail View
-        /// </summary>
-        /// <returns></returns>
-        public ActionResult SaveChanges(FormCollection collection) {
-            long problemClassId = long.Parse(collection.Get("ProblemClassId"));
-            String problemClassName = collection.Get("ProblemClassName");
-            String problemClassDescription = collection.Get("ProblemClassDescription");
+    /// <summary>
+    /// Controller for Detail View
+    /// </summary>
+    /// <returns></returns>
+    public ActionResult SaveChanges(FormCollection collection) {
+      long problemClassId = long.Parse(collection.Get("ProblemClassId"));
+      String problemClassName = collection.Get("ProblemClassName");
+      String problemClassDescription = collection.Get("ProblemClassDescription");
 
-            // Later, we will get the runs from the session ...
-            ProblemClassModel pcm = new ProblemClassModel();
-            if (problemClassId != 0)
-                pcm.ProblemClass = (ProblemClass)pcm.ProblemClasses.Where(x => x.Id.Equals(problemClassId)).FirstOrDefault();
+      // Later, we will get the runs from the session ...
+      ProblemClassModel pcm = new ProblemClassModel();
+      if (problemClassId != 0)
+        pcm.ProblemClass = (ProblemClass)pcm.ProblemClasses.Where(x => x.Id.Equals(problemClassId)).FirstOrDefault();
 
-            pcm.ProblemClass.Name = problemClassName;
-            pcm.ProblemClass.Description = problemClassDescription;
+      pcm.ProblemClass.Name = problemClassName;
+      pcm.ProblemClass.Description = problemClassDescription;
 
-            pcm.SaveProblemClass(pcm.ProblemClass);
+      pcm.SaveProblemClass(pcm.ProblemClass);
 
-            return View("Index", pcm);
-        }//SaveChanges
+      return View("Index", pcm);
+    }//SaveChanges
 
-        /// <summary>
-        /// Controller for Index View
-        /// </summary>
-        /// <returns></returns>
-        public ActionResult SortAsc() {
-            Session["SelectedSubMenu"] = "ProblemClass";
-            ProblemClassModel pcm = new ProblemClassModel();
-            pcm.ProblemClasses = pcm.ProblemClasses.OrderBy(x => x.Name).ToList<ProblemClass>();
-            return View("Index", pcm);
-        }
+    /// <summary>
+    /// Controller for Index View
+    /// </summary>
+    /// <returns></returns>
+    public ActionResult SortAsc() {
+      Session["SelectedSubMenu"] = "ProblemClass";
+      ProblemClassModel pcm = new ProblemClassModel();
+      pcm.ProblemClasses = pcm.ProblemClasses.OrderBy(x => x.Name).ToList<ProblemClass>();
+      return View("Index", pcm);
+    }
 
-        /// <summary>
-        /// Controller for Index View
-        /// </summary>
-        /// <returns></returns>
-        public ActionResult SortDesc() {
-            Session["SelectedSubMenu"] = "ProblemClass";
-            ProblemClassModel pcm = new ProblemClassModel();
+    /// <summary>
+    /// Controller for Index View
+    /// </summary>
+    /// <returns></returns>
+    public ActionResult SortDesc() {
+      Session["SelectedSubMenu"] = "ProblemClass";
+      ProblemClassModel pcm = new ProblemClassModel();
 
-            IOrderedEnumerable<ProblemClass> pcmOrderedList = pcm.ProblemClasses.OrderByDescending(x => x.Name);
-            IList<ProblemClass> pcmList = new List<ProblemClass>();
-            foreach (var item in pcmOrderedList) {
-                pcmList.Add(item);
-            }
-            pcm.ProblemClasses = pcmList;
+      IOrderedEnumerable<ProblemClass> pcmOrderedList = pcm.ProblemClasses.OrderByDescending(x => x.Name);
+      IList<ProblemClass> pcmList = new List<ProblemClass>();
+      foreach (var item in pcmOrderedList) {
+        pcmList.Add(item);
+      }
+      pcm.ProblemClasses = pcmList;
 
-            // this should be the right code
-            //pm.Problems = pm.Problems.OrderByDescending(x => x.Name).ToArray<Problem>();
-            return View("Index", pcm);
-        }
+      // this should be the right code
+      //pm.Problems = pm.Problems.OrderByDescending(x => x.Name).ToArray<Problem>();
+      return View("Index", pcm);
+    }
 
-    }
+  }
 }
